CVE-2005-4595
CVSS7.2
发布时间 :2005-12-31 00:00:00
修订时间 :2008-09-05 16:57:16
NMCO    

[原文]Untrusted search path vulnerability (RPATH) in XnView 1.70 and NView 4.51 on Gentoo Linux allows local users to execute arbitrary code via a malicious library in the current working directory.


[CNNVD]Gentoo Linux XnView不安全RPATH漏洞(CNNVD-200512-792)

        Gentoo Linux上的XnView 1.70和NView 4.51存在不信任搜索路径漏洞,本地用户可以通过当前工作目录中的恶意库来执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:gentoo:nview:4.51Gentoo NView 4.51
cpe:/a:gentoo:xnview:1.70Gentoo XnView 1.70

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4595
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4595
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-792
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16087
(PATCH)  BID  16087
http://www.gentoo.org/security/en/glsa/glsa-200512-18.xml
(PATCH)  GENTOO  GLSA-200512-18
http://secunia.com/advisories/18240
(VENDOR_ADVISORY)  SECUNIA  18240
http://secunia.com/advisories/18235
(VENDOR_ADVISORY)  SECUNIA  18235
http://bugs.gentoo.org/show_bug.cgi?id=117063
(UNKNOWN)  MISC  http://bugs.gentoo.org/show_bug.cgi?id=117063
http://xforce.iss.net/xforce/xfdb/23910
(UNKNOWN)  XF  xnview-rpath-gain-privileges(23910)
http://www.osvdb.org/22094
(UNKNOWN)  OSVDB  22094
http://www.osvdb.org/22093
(UNKNOWN)  OSVDB  22093

- 漏洞信息

Gentoo Linux XnView不安全RPATH漏洞
高危 设计错误
2005-12-31 00:00:00 2006-01-10 00:00:00
本地  
        Gentoo Linux上的XnView 1.70和NView 4.51存在不信任搜索路径漏洞,本地用户可以通过当前工作目录中的恶意库来执行任意代码。

- 公告与补丁

        Gentoo已发布公告GLSA 200510-14以及修补程序来解决此问题。强烈建议程序包受影响的用户使用超级用户权限执行以下命令:
        emerge --sync
        emerge --ask --oneshot --verbose ">=x11-misc/xnview-1.70-r1"
        系统管理员可以使用chrpath实用程序,执行以下命令来删除XnView程序内的DT_RPATH字段:
        emerge app-admin/chrpath
        chrpath --delete /opt/bin/nconvert /opt/bin/nview /opt/bin/xnview

- 漏洞信息

22093
NView RPATH Subversion Local Privilege Escalation
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

NView contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue caused by an insecure RPATH and is triggered when the application is launched within a shared directory containing a malicious library. This flaw may lead to a loss of confidentiality or integrity through arbitrary code execution.

- 时间线

2005-12-29 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站